GET
/
v4
/
contacts
List all contacts
curl --request GET \
  --url https://api.reply.io/v4/contacts \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": 12345,
      "email": "john.doe@company.com",
      "firstName": "John",
      "lastName": "Doe",
      "title": "Senior Product Manager",
      "company": "Tech Solutions Inc",
      "domain": "company.com",
      "companySize": "OneThousand",
      "city": "San Francisco",
      "state": "CA",
      "country": "United States",
      "timeZoneId": "America/Los_Angeles",
      "phone": "+1-415-555-0123",
      "phoneStatus": "Valid",
      "linkedInUrl": "https://www.linkedin.com/in/johndoe",
      "linkedInSalesNavigatorUrl": "https://www.linkedin.com/sales/profile/123456",
      "linkedInRecruiterUrl": "https://www.linkedin.com/recruiter/profile/789012",
      "industry": "Software & Technology",
      "notes": "Met at SaaS Conference 2024",
      "ownerUserId": 42,
      "accountId": 100,
      "isOptedOut": false,
      "addingDate": "2024-03-08T10:00:00+00:00",
      "createdAt": "2024-03-08T10:00:00",
      "lastModifiedAt": "2024-03-10T15:30:00",
      "customFields": [
        {
          "key": "leadSource",
          "value": "Conference"
        },
        {
          "key": "budget",
          "value": "100k-250k"
        }
      ],
      "sequences": [
        {
          "sequenceId": 100,
          "sequenceName": "Sales Outreach",
          "status": "Active",
          "currentStep": 2,
          "addingDate": "2024-03-08T10:00:00+00:00",
          "emailAccountId": 101,
          "linkedInAccountId": null
        }
      ],
      "lists": [
        {
          "listId": 10,
          "listName": "Hot Leads",
          "isShared": false
        }
      ]
    }
  ],
  "hasMore": true,
  "totalCount": 123
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Query Parameters

top
integer

Maximum number of contacts to return (default 25, max 1000)

skip
integer

Number of contacts to skip

email
string

Filter contacts by email address

linkedIn
string

Filter contacts by LinkedIn profile URL

Response

List of contacts retrieved successfully

items
Contact · object[]
hasMore
boolean

Indicates if there are more items to fetch

totalCount
integer

Total number of contacts matching the query